#!/bin/sh

echo "========================================"
echo "          清理工具@xvcczc"
echo "========================================"

echo -e "\033[36m正在清理中...\033[0m"

{ 
    rm -rf /data/user/0/com.tencent.rmcn/files/ano_tmp
    rm -rf /data/user/999/com.tencent.rmcn/files/ano_tmp
    rm -rf /data/user/11/com.tencent.rmcn/files/ano_tmp
    rm -rf /data/data/com.tencent.rmcn/files/ano_tmp
    iptables --flush
    iptables -P INPUT ACCEPT
    iptables -P OUTPUT ACCEPT
    iptables -P FORWARD ACCEPT
    iptables -t nat -F PREROUTING
    iptables --flush
    iptables -F
    iptables -X
    iptables -nL >/dev/null 2>&1
    iptables -t nat -L PREROUTING -n -v >/dev/null 2>&1
    echo 16384 > /proc/sys/fs/inotify/max_queued_events 2>/dev/null
    echo 128 > /proc/sys/fs/inotify/max_user_instances 2>/dev/null
    echo 8192 > /proc/sys/fs/inotify/max_user_watches 2>/dev/null

    # 删除系统 SSAID 备份文件,安卓id
    rm -rf /data/system/users/0/settings_ssaid.xml* 2>/dev/null

} > /dev/null 2>&1

echo -e "\033[32m清理成功\033[0m"
echo "========================================"